#!/usr/bin/env python  
# -*- coding: utf-8 -*-    
#
#       runCommandWithDialog.py
#
#   使い方
#   runCommandWithDialog.py <title> <message> <command>
#       title   :dialogのタイトル
#       message :dialogに表示するメッセージ
#       command :実行するコマンド
#
#   15/06/19    新規作成
#      09/02    "\n"→os.linesepに修正
#      10/18    messageをjobに応じて作成する様に修正
#      12/18    windows版のpangoWarning対策で、初期化を修正
#      12/25    行末コードを修正
#
#

import sys   
import os   
import pygtk
pygtk.require("2.0")
import gtk
import gettext


title = ""
message = ""
command = ""
#ls = os.linesep         #行末コード
ls = "\n"

class windowApp:  
    def __init__(self):
        global command

        #windows版のpangoWarning対策で以下の3行を追加。
        #　easyIstr_1.gladeを読み込む処理を追加
        gladefile = "easyIstr_1.glade"  
        self.builder = gtk.Builder()  
        self.builder.add_from_file(os.getenv("easyIstrPath") + os.sep + gladefile)

        #command実行
        print  
        print command
        command = " 2>&1 " + command
        os.system(command)
        #dialogを表示
        self.okDialog(title, message)

    def okDialog(self, title, message):
        dlg = gtk.MessageDialog(type=gtk.MESSAGE_INFO, buttons=gtk.BUTTONS_OK)
        dlg.set_title(title)
        #messageを分ける
        mess1 = message.split(ls)[0]
        mess2 = ls.join(message.split(ls)[1:])
        dlg.set_markup(mess1)
        dlg.format_secondary_text(mess2)
        ans = dlg.run() 
        dlg.destroy()

#
#  getTitleMessage
#    jobからtitleとmessageを決定
def getTitleMessage(job):
    global title, message
    if job == "convData":
        title = _(u"データ変換")
        message = _(u"データ変換が完了しました")
    elif job == "mergeResult":
        title = _(u"結果の再構築")
        message = _(u"分散結果をマージしました。")
    elif job == "separateMesh":
        title = _(u"メッシュ分割")
        message = _(u"メッシュを分割しました。")
    else:
        title = ""
        message = ""


if __name__ == "__main__":  
    import gettext
    gettext.install("app") # replace with the appropriate catalog name

    job = sys.argv[1]
    command = sys.argv[2]

    getTitleMessage(job)

    windowApp()  

