#!/usr/bin/env python  
# -*- coding: utf-8 -*-    
#
#       settingDialog.py
#
#           設定中dialog表示
#
#   17/08/29    新規作成
#      09/28    windowの表示位置をマウス位置に変更
#
#

import sys   
import os   
import pygtk
import gtk
import gobject
import time

#ls = os.linesep
ls = "\n"
title = ""
setCont = ""
setting = ""


class windowApp:  
    def __init__(self):

        #Set the Glade file
        gladefile = "settingDialog.glade"  
        self.builder = gtk.Builder()  
        self.builder.add_from_file(os.path.dirname(os.path.abspath(__file__)) +
                os.sep + gladefile)  

        self.setGtkObject()
        self.subInitialize()

        #windowを表示
        self.builder.connect_signals(self)
        self.mainWindow = self.builder.get_object ("window1")
        #title = _(u"設定中...")
        self.mainWindow.set_title(title)
        self.mainWindow.show_all()
        #timerEventを作成（0.2s）
        gobject.timeout_add(200, self.timerEvent)

    #
    #  setGtkObject
    #    objectの定義
    def setGtkObject(self):
        self.label_setCont = self.builder.get_object("label1")
        self.label_setting = self.builder.get_object("label2")

    #
    #  subInitialize
    #    初期化
    def subInitialize(self):
        self.label_setCont.set_text(setCont)
        self.label_setting.set_text(setting)

    #
    #  timeerEvent
    #    timerEventの処理
    def timerEvent(self):
        line = raw_input()
        if line[:len("close")] == "close":
            #windowを閉じて終了
            gtk.main_quit()
        else:
            words = line.split(",")
            word = words[0]
            if len(words) >= 2:
                setCont = words[1]
                self.label_setCont.set_text(setCont)
            try:
                a = float(word)
                setLine = setting + str(a) + " %"
                self.label_setting.set_text(setLine)
                if a > 100.0:
                    #windowを閉じて終了
                    gtk.main_quit()
            except:
                pass
        #timerEventを設定して戻る(50ms)
        gobject.timeout_add(10, self.timerEvent)


if __name__ == "__main__":  
    import gettext
    gettext.install("app") # replace with the appropriate catalog name

    setCont = ""
    title = _(u"設定中... ")
    setting = _(u"設定中... ")
    if len((sys.argv)) == 2:
        title = sys.argv[1]
        setCont = sys.argv[1]
    windowApp()  
    gtk.main()
    
